Name:		molequeue
Version:	0.8.0
Release:	%mkrel 2
Summary:	Desktop integration of high performance computing resources
License:	BSD
Group:		Sciences/Chemistry
Url:		http://openchemistry.org/molequeue
Source:		https://github.com/OpenChemistry/molequeue/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		molequeue-0.8.0-backport-upstream-fixes.patch
BuildRequires:	cmake
BuildRequires:	cppzmq-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
MoleQueue is an open-source, cross-platform, system-tray resident desktop
application for abstracting, managing, and coordinating the execution of
tasks both locally and on remote computational resources. Users can set
up local and remote queues that describe where the task will be executed.
Each queue can have programs, with templates to facilitate the execution
of the program. Input files can be staged, and output files collected
using a standard interface. Some highlights:

  * Open source distributed under the liberal 3-clause BSD license
  * Cross platform with nightly builds on Linux, Mac OS X and Windows
  * Intuitive interface designed to be useful to whole community
  * Support for local executation and remote schedulers (SGE, PBS, SLURM)
  * System tray resident application managing queue of queues and job lifetime
  * Simple, lightweight JSON-RPC 2.0 based communication over local sockets
  * Qt 5 client library for simple integration in Qt applications

#----------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} >= %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing applications
that use %{name}.

#----------------------------------------------------

%package -n	python-%{name}
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	pythonegg(2)(pyzmq)

%description -n	python-%{name}
The python-%{name} package contains Python2 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DUSE_ZERO_MQ=ON

%make_build

%install
%make_install -C build

%files
%doc %{_docdir}/MoleQueue/
%license COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_libdir}/*.so

%files devel
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/

%files -n python-%{name}
%{python2_sitelib}/%{name}/


%changelog
* Tue Feb 21 2017 wally <wally> 0.8.0-2.mga6
+ Revision: 1087225
- BR cppzmq instead of libzmq

* Tue Dec 13 2016 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 1074482
- initial package molequeue

